package ast;

import compiler.Visitor;

/**
 * <p>Title: Programming mini project 2 Java-- compiler</p>
 * <p>Description: Mixin interface for a node that involves an invocation eg MethodInvocNode</p>
 * <p>Copyright: Copyright (c) 2004 Nicholas Cameron</p>
 * <p>Company: </p>
 * @author Nicholas Cameron
 * @version 1.0
 */

public interface InvocNode
{
    Object[] visitParams(Visitor v);
    Node[] getParams();
    int getNumberOfParams();
}