package ast;

import compiler.Visitor;

/**
 * <p>Title: Programming mini project 2 Java-- compiler</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2004 NIcholas Cameron</p>
 * <p>Company: </p>
 * @author Nicholas Cameron
 * @version 1.0
 */

public abstract class UnaryNode extends ExprNode
{
    protected Node child = null;

    public UnaryNode(Node child, int lineNumber, int colNumber)
    {
        super(lineNumber, colNumber);
        this.child = child;
    }

    public Object visitChild(Visitor v)
    {
        return child.accept(v);
    }
}