package compiler;

/**
 * <p>Title: Programming mini project 2 Java-- compiler</p>
 * <p>Description: A special field for the built in class String, it has a field of type reference
 * to java.lang.String to store the String it represents</p>
 * <p>Copyright: Copyright (c) 2004 Nicholas Cameron</p>
 * <p>Company: </p>
 * @author Nicholas Cameron
 * @version 1.0
 */

public class StringFieldSymbol extends FieldSymbol
{
    public StringFieldSymbol()
    {
        super("StringStorage", "Ljava.lang.String", Modifier.PRIVATE, null);
        fieldNumber = NumberGenerator.getInstance().getFieldNumber(this);
    }

    public void setFieldNumber(int fieldNumber)
    {
        throw new RuntimeException("Method should not be called!!!");
    }
    public int getFieldNumber()
    {
        return fieldNumber;
    }
}